Bug 1001943 - suitesparse-devel is missing c++ headers (with suffix 'hpp')
suitesparse-devel is missing c++ headers (with suffix 'hpp')
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: suitesparse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On: 1001869
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 03:51 EDT by Tomas Tomecek
Modified: 2013-09-04 06:18 EDT (History)
7 users (show)

See Also:
Fixed In Version: suitesparse-4.0.2-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1001869
: 1010368 (view as bug list)
Environment:
Last Closed: 2013-09-04 06:18:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Tomecek 2013-08-28 03:51:21 EDT
+++ This bug was initially created as a clone of Bug #1001869 +++

Description of problem:

The suitesparse-devel package does not include the C++ header files.

Version-Release number of selected component (if applicable):

Tested with suitesparse 3.4.0-7.el6 

How reproducible:

Always

Steps to Reproduce:
$ repoquery --list suitesparse-devel | grep hpp

Actual results:

Nothing is found.

Expected results:

I expect to find the hpp files from the source.

$ wget --quiet 'https://www.cise.ufl.edu/research/sparse/SuiteSparse/SuiteSparse-3.4.0.tar.gz'
$ tar tf SuiteSparse-3.4.0.tar.gz | grep hpp
SuiteSparse/SPQR/MATLAB/spqr_mx.hpp
SuiteSparse/SPQR/Include/SuiteSparseQR.hpp
SuiteSparse/SPQR/Include/spqr.hpp


Additional info:

Without SuiteSparseQR.hpp you cannot compile https://code.google.com/p/ceres-solver/
Comment 1 Tomas Tomecek 2013-08-28 03:54:34 EDT
The bug is in spec file. This patch should fix it:

diff --git a/suitesparse.spec b/suitesparse.spec
index 770f727..b5b52c1 100644
--- a/suitesparse.spec
+++ b/suitesparse.spec
@@ -337,7 +337,7 @@ pushd Lib
   done
 popd
 pushd Include
-  for f in *.h;  do
+  for f in *.h*;  do
     cp -a $f ${RPM_BUILD_ROOT}%{_includedir}/%{name}/$f
   done
 popd
Comment 2 Nils Philippsen 2013-09-03 05:34:20 EDT
I've kicked off builds for suitesparse-4.0.2-6 in Rawhide and F-20.

Note You need to log in before you can comment on or make changes to this bug.